#
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg
#

Section "Files"
    FontPath    "/usr/share/fonts/X11/misc"
    FontPath    "/usr/share/fonts/type1/gsfonts"
    FontPath    "/usr/share/fonts/truetype/ttf-bitstream-vera"
    FontPath    "/usr/share/fonts/truetype/windows"
EndSection

Section "Module"
    Load    "i2c"
    Load    "bitmap"
    Load    "ddc"
    Load    "dri"
    Load    "extmod"
    Load    "freetype"
    Load    "glx"
    Load    "int10"
    Load    "type1"
    Load    "vbe"
EndSection

Section "InputDevice"
    Identifier  "Generic Keyboard"
    Driver      "kbd"
    Option      "CoreKeyboard"
    Option      "XkbRules"  "xorg"
    Option      "XkbModel"  "pc104"
    Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
    Identifier  "Configured Mouse"
    Driver      "mouse"
    Option      "CorePointer"
    Option      "Device"        "/dev/input/mice"
    Option      "Protocol"      "ExplorerPS/2"
    Option      "Emulate3Buttons"   "true"
EndSection

Section "Device"
    Identifier  "Generic Video Card"
    Driver      "nv"
    # xserver-xorg-video-nv
EndSection

Section "Monitor"
    Identifier  "Generic Monitor"
    Option      "DPMS"
    HorizSync   28-51
    VertRefresh 43-60
EndSection

Section "Screen"
    Identifier  "Default Screen"
    Device      "Generic Video Card"
    Monitor     "Generic Monitor"
    DefaultDepth    24
    SubSection "Display"
        Depth       16
        Modes       "1024x768" "800x600"
    EndSubSection
    SubSection "Display"
        Depth       24
        Modes       "1024x768" "800x600"
    EndSubSection
    SubSection "Display"
        Depth       32
        Modes       "1024x768"
        #Modes      "1280x1024" "1024x768"
    EndSubSection
EndSection

Section "ServerLayout"
    Identifier  "Default Layout"
    Screen      "Default Screen"
    InputDevice "Generic Keyboard"
    InputDevice "Configured Mouse"
EndSection

Section "DRI"
    Mode    0666
EndSection
